package com.durant.controller;

import com.durant.Result;
import com.durant.dto.request.LoginReq;
import com.durant.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 冯凯
 * @version 1.0
 * @description: TODO
 * @date 2023/10/3 14:08
 */
@RestController
public class LoginController {
    @Autowired
    private LoginService loginService;

    @PostMapping("/user/login")

    public Result<LoginReq> userLogin(@RequestBody LoginReq loginReq){
        Result<LoginReq> loginReqResult = loginService.userLogin(loginReq);
        if (loginReqResult!=null){
            return Result.success(loginReq);
        }

        return Result.error();
    }

    @GetMapping("/user/info")

    public Result<LoginReq> userInfo(){
        LoginReq loginReq = new LoginReq();
        loginReq.setUsername("fengkai");
        loginReq.setPassword("123456");
        return Result.success(loginReq);
    }

}
