package com.array;

import java.util.Arrays;
import java.util.stream.IntStream;
import java.util.stream.Stream;

/**
 * @author 冯凯
 * @version 1.0
 * @description: TODO
 * @date 2023/10/1 18:50
 */
public class Test1 {

    public static int stepNum(int[] arr){
        //定义length获取数组的长度
        int length=arr.length;
        //初始化边界值end为0
        int end=0;
        //初始化最后一步能达到的最大下标初始化为0
        int maxIndex=0;
        //定义step为所跳步数初始化为0;
        int step=0;
        //循环遍历数组
        for (int i=0;i<arr.length;i++) {
            //循环数组
            //找到对应步数的边界范围能下一次能够达到的最大下标位置
            //例如 i=0，arr[0]为3当前能达到最远下标位置为i+arr[i]=0+3
          maxIndex=Math.max(maxIndex,i+arr[i]);
          if (i==end){
              //当达到每一次的边界值时候 得到的maxIndex最大下标位置就是下一次的边界值
              //相当于找到对应边界范围内的能够达到的最大边界值
              end=maxIndex;
              //取到最优位置时候步数加一 只有当取到对应范围的最优步数时候才会跳下一步
              step++;
          }
        }
        //知道不能再次跳了返回最终步数
        return step;
    }

    public static void main(String[] args) {


        int arr[]={3, 1, 4, 1, 1, 4, 1, 2, 3, 4, 1};
        int stepNum = stepNum(arr);
        System.out.println(stepNum);
    }
}
